package com.yonge.cooleshow.biz.dal.sdk.req;

import java.io.Serializable;
import java.util.Map;

/**
 * 创建支付对象请求参数
 * @Author: liweifan
 * @Data: 2022/3/31 10:58
 */
public class PaymentReq implements Serializable {
    private static final long serialVersionUID = 1L;

    /***
     * 请求订单号，只能为英文、数字或者下划线的一种或多种组合，保证在app_id下唯一
     * @author liweifan
     * @updateTime 2022/3/31 11:00
     */
    private String order_no;
    /***
     * 控制台 主页面应用的app_id
     * @author liweifan
     * @updateTime 2022/3/31 11:00
     */
    private String app_id;
    /***
     * 支付渠道，参见 支付渠道
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private String pay_channel;
    /***
     * 交易金额，必须大于0，保留两位小数点，如0.10、100.05等
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private String pay_amt;
    /***
     * 商品标题
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private String goods_title;
    /***
     * 商品描述信息，微信小程序和微信公众号该字段最大长度42个字符
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private String goods_desc;
    /***
     * 分账对象信息列表，最多仅支持7个分账方，json 数组形式，详见 分账对象信息列表
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private String div_members;
    /***
     * 订单附加说明
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private String description;
    /***
     * 前端设备信息，详见 设备信息
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private DeviceInfo device_info;
    /***
     * 支付渠道额外参数，JSON格式，条件可输入，详见 支付渠道 expend参数
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private Map<String,Object> expend;
    /***
     * 异步通知地址，url为http/https路径，服务器POST回调，URL 上请勿附带参数
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private String notify_url;

    public String getOrder_no() {
        return order_no;
    }

    public void setOrder_no(String order_no) {
        this.order_no = order_no;
    }

    public String getApp_id() {
        return app_id;
    }

    public void setApp_id(String app_id) {
        this.app_id = app_id;
    }

    public String getPay_amt() {
        return pay_amt;
    }

    public void setPay_amt(String pay_amt) {
        this.pay_amt = pay_amt;
    }

    public String getGoods_title() {
        return goods_title;
    }

    public void setGoods_title(String goods_title) {
        this.goods_title = goods_title;
    }

    public String getGoods_desc() {
        return goods_desc;
    }

    public void setGoods_desc(String goods_desc) {
        this.goods_desc = goods_desc;
    }

    public String getDiv_members() {
        return div_members;
    }

    public void setDiv_members(String div_members) {
        this.div_members = div_members;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public DeviceInfo getDevice_info() {
        return device_info;
    }

    public void setDevice_info(DeviceInfo device_info) {
        this.device_info = device_info;
    }

    public Map<String, Object> getExpend() {
        return expend;
    }

    public void setExpend(Map<String, Object> expend) {
        this.expend = expend;
    }

    public String getNotify_url() {
        return notify_url;
    }

    public void setNotify_url(String notify_url) {
        this.notify_url = notify_url;
    }

    public String getPay_channel() {
        return pay_channel;
    }

    public void setPay_channel(String pay_channel) {
        this.pay_channel = pay_channel;
    }
}
